oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions for Intel oneAPI Toolkits, Intel Parallel Studio XE and Intel System Studio

A license for Comp-CL could not be obtained

tim4
Novice
751 Views

Dear support,

I try to build O-DU low Project, and build prerequisite Intel® C++ Compiler.

I follow O-DU low Project install set:

  1. Intel® oneAPI Base Toolkit for ICC
  2. system_studio_2020_u2_ultimate_edition_offline (I can't find license file in build directory)
  3. DPDK
    1. x86_64-native-linuxapp-icc

and I got error message below(I attached total install log):

Option: 39

Loading iccvars.sh from /opt/intel/system_studio_2020/bin//iccvars.sh for intel64
Configuration done using x86_64-native-linuxapp-icc

Error: A license for Comp-CL could not be obtained. (-1,359,2).

Is your license file in the right location and readable?
The location of your license file should be specified via
the $INTEL_LICENSE_FILE environment variable.

License file(s) used were (in this order):
** 1. /opt/intel/system_studio_2020/compilers_and_libraries_2020.2.254/linux/licenses
** 2. /opt/intel/licenses
** 3. /home/tim/intel/licenses
** 4. /opt/intel/system_studio_2020/compilers_and_libraries_2020.2.254/linux/bin/intel64/../../Licenses
** 5. /home/tim/Licenses
** 6. /Users/Shared/Library/Application Support/Intel/Licenses
** 7. /opt/intel/system_studio_2020/compilers_and_libraries_2020.2.254/linux/bin/intel64/*.lic

Please refer http://software.intel.com/sites/support/ for more information..

 

How can I fix this error? Thanks for your help.

Best Wishes,

Tim

 

 

0 Kudos
2 Replies
Gopika_Intel
Moderator
735 Views

Hi.

Thank you for reaching out to us. As this is a licensing related query, we have a dedicated forum to handle that. We are moving the thread to Registration, Download, Licensing, and Installation forum.

Link: https://community.intel.com/t5/Registration-Download-Licensing/bd-p/registration-download-licensing-...

Regards

Gopika


Ritch
Beginner
704 Views

I have the same issue as Tim4, I get the following error messages when trying to build DPDK:

Ritch_0-1612291086296.png

 

I've tried using an updated license and that's why there are two listed in some instances in the screenshot. However, no luck, FLEXlm is still looking for something. It would be nice to get this resolved fairly soon, I noticed there's no reply on this thread yet besides moving it to another forum that has a tremendous amount of unanswered questions. Any chance of a quick reply/solution?

Reply